Description

On my laptop, as is common with the vast majority of modern laptops, the only only media control keys are Forward, Backwards, and

Play/Pause. There is no Stop or Pause hotkey.

This makes it impossible to stop or pause media play in Audacious via Global Hotkeys by default.

It is noteworthy that the media keys on all four keyboards on my desktop right now have a "Play/Pause" key. The icon on the key isn't

just a "Play" icon, it's also a "Pause" icon, as indicated by the two vertical bars. The intent that pressing this button a second time

should pause playback is very clear.

A simple fix would be to cause Play to pause playback if currently already playing.

VLC already does this, as does Clemintine.

History

#1 - December 23, 2019 06:25 - John Lindgren

This is configurable already.  You can assign XF86AudioPlay to the Pause/Resume action.  It should perhaps be called Play/Pause instead, but it

does the same thing.

#2 - December 23, 2019 23:00 - Brad B

Actually it's named "Pause/Resume" on my install and there was no "Play/Pause", but close enough! It functions as-expected, so thank you very

much!

Given the ubiquity of media keys like this, might I suggest making this the default behavior for the AudioPlay key?

After investigating a bit, it appears my two laptops (Apple and Dell) appear to map that key to the AudioPlay function, and my desktop keyboard maps

it to AudioPause, which explains why the play/pause functionality was working on my desktop but not on my laptops. Different vendors decided to

map the key to two different things.

#3 - December 23, 2019 23:01 - Brad B

Feel free to close this out. Thanks again.

#4 - March 23, 2020 13:38 - John Lindgren

- Status changed from New to Closed

- Tracker changed from Feature to Support
